Loading...
Searching...
No Matches
inertia_cks.icc
Go to the documentation of this file.
form inertia (field w, trial u, test v,
integrate_option iopt = integrate_option())
{
return
integrate (- dot(trans(grad_h(v))*w,u) - 0.5*div_h(v)*dot(u,w), iopt)
+ integrate ("internal_sides",
dot(average(u),normal())*dot(jump(v),average(w))
+ 0.5*dot(jump(v),normal())
*(dot(average(u),average(w)) + 0.25*dot(jump(u),jump(w))), iopt)
+ integrate ("boundary", 0.5*dot(v,normal())*dot(u,w), iopt);
}
field inertia_fix_rhs (test v,
integrate_option iopt = integrate_option())
{
return integrate("boundary", -dot(g(),normal())*dot(g(),v), iopt);
}
g
u_exact g
Definition burgers_diffusion_exact.h:33
field
see the field page for the full documentation
form
see the form page for the full documentation
test
see the test page for the full documentation
trial
see the test page for the full documentation
inertia
form inertia(W w, U u, V v, integrate_option iopt=integrate_option())
Definition inertia.h:26
inertia_fix_rhs
field inertia_fix_rhs(test v, integrate_option iopt=integrate_option())
Definition inertia.h:37
u
Definition leveque.h:25